Skip to main content
GET
Retrieve an event
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the event to retrieve.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An event resource.

id
string

Unique string identifier of this event.

type
string
Allowed value: "event"
url
string<uri>

Absolute URL for the event resource.

apiVersion
string<date>

API version of the resource representation contained in data. Not to be confused with the API version of the representation of this present event, which is indicated in the Api-Version HTTP header.

topic

Indicates which type of event occurred. Usually concatenates the name of the object type with the kind of change ("created", "updated" or "deleted").

Allowed value: "test.created"
Example:

"employee.created"

occurredAt
string<date-time>

Timezoned timestamp of the moment when this event occurred.

source
string<uri>

URL of the tenant. Ensures unicity of {source} + {id}.

data
object

Representation of the resource whose change triggered the event. Please note that this is the representation of the resource just after the change, and it may have changed again since then.

businessEstablishment
business-establishment-reference · object | null

Business Establishment of the Resource in the Event, if there is one.

previousAttributes
object

Only sent on *.updated event topics. Keys are the list of modified attributes. Values are the values of these attributes before the change.

This is only available for some resources. If a value in the dictionary is NULL, then it can either mean that the original value was NULL or that we can't retrieve them for this Resource.

embedded
object | null

No embedded resources on a event(s) response. Expect an empty object if embedded are requested.